MVN

org.opensky-network : libadsb

Maven & Gradle

Mar 16, 2021
86 stars

libadsb · A Mode S and ADS-B decoding library for Java

<dependency>
    <groupId>org.opensky-network</groupId>
    <artifactId>libadsb</artifactId>
    <version>3.4.0</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.opensky-network : libadsb to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 3.4.0
  • Latest Release Candidate: 3.0.0-RC3

All Versions

Choose a version of org.opensky-network : libadsb to add to Maven or Gradle - All Versions:

  • Version Updated
  • libadsb-3.4.0

    Mar 16, 2021
  • libadsb-3.3.0

    Aug 21, 2020
  • libadsb-3.2.1

    Apr 01, 2020
  • libadsb-3.2.0

    Feb 26, 2020
  • libadsb-3.1.1

    Jan 13, 2020
  • libadsb-3.1.0

    May 06, 2019
  • libadsb-3.0.0

    Oct 30, 2018
  • libadsb-3.0.0-RC3

    Oct 04, 2018
  • libadsb-3.0.0-RC2

    Sep 06, 2018
  • libadsb-3.0.0-RC1

    Sep 03, 2018
  • libadsb-2.1.5

    Jul 30, 2018
  • libadsb-2.1.4

    Jul 24, 2018
  • libadsb-2.1.3

    May 22, 2018
  • libadsb-2.1.2

    Mar 27, 2018
  • libadsb-2.1.1

    Jul 04, 2017
  • libadsb-2.1

    Nov 14, 2016
  • libadsb-2.0

    Jul 06, 2016
  • libadsb-1.1

    Apr 08, 2016

How to add a dependency to Maven

Add the following org.opensky-network : libadsb maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.opensky-network</groupId>
    <artifactId>libadsb</artifactId>
    <version>3.4.0</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.opensky-network : libadsb gradle dependency to your build.gradle file:

implementation 'org.opensky-network:libadsb:3.4.0'

Gradle Kotlin DSL: Add the following org.opensky-network : libadsb gradle kotlin dependency to your build.gradle.kts file:

implementation("org.opensky-network:libadsb:3.4.0")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.opensky-network : libadsb sbt scala dependency to your build.sbt file:

libraryDependencies += "org.opensky-network" % "libadsb" % "3.4.0"